summaryrefslogtreecommitdiffstats
path: root/ifplugd/net-auto-wired
diff options
context:
space:
mode:
Diffstat (limited to 'ifplugd/net-auto-wired')
-rwxr-xr-xifplugd/net-auto-wired44
1 files changed, 44 insertions, 0 deletions
diff --git a/ifplugd/net-auto-wired b/ifplugd/net-auto-wired
new file mode 100755
index 0000000..79e5beb
--- /dev/null
+++ b/ifplugd/net-auto-wired
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+CFG=/etc/ifplugd/ifplugd.conf
+ACTION=/etc/ifplugd/netcfg.action
+PID=$(cat /var/run/ifplugd.$WIRED_INTERFACE)
+
+# Source ifplugd configuration
+[ -f $CFG ] && . $CFG
+
+case "$1" in
+ start)
+ stat_busy "Starting netcfg auto-wired mode for interface ${WIRED_INTERFACE}"
+ A="`eval echo \$\{ARGS_${WIRED_INTERFACE}\}`"
+ [ -z "$A" ] && A="$ARGS"
+ [ -z "$PID" ] && /usr/sbin/ifplugd -i $WIRED_INTERFACE -r $ACTION $A
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon net-auto-wired
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping netcfg auto-wired mode for interface ${WIRED_INTERFACE}"
+ [ ! -z "$PID" ] && /usr/sbin/ifplugd -k -i $WIRED_INTERFACE -r $ACTION
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon net-auto-wired
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0